/**
Clase MiMenuBarApplet
@author Diego Gonzalez
@author José Ignacio Guerra
@author Patricio Valle
*/

   import java.awt.event.*;
   import javax.swing.*;
   import java.net.URL;

/**
Clase MiMenuBarApplet
Implementa la barra de menu en forma de applet
*/
    public class MiMenuBarApplet extends JMenuBar
   {
   /**
   Constructor MiMenuBarApplet
   */
       private MiMenuBarApplet()
      {
      }
   /**
   Constructor MiMenuBarApplet
   @param dibujo Objeto dibujo
   @param applet Objeto JApplet
   */       
       public MiMenuBarApplet(Dibujo dibujo, JApplet applet)
      {
         JMenu menu = new JMenu("Escoger Piso");
         menu.setMnemonic(KeyEvent.VK_M);
         menu.getAccessibleContext().setAccessibleDescription(
            "Permite hacer operaciones basicas sobre dibujo actual");
         add(menu);
         JMenuItem menuItem = new JMenuItem("Segundo piso", KeyEvent.VK_E);
         menuItem.addActionListener(new PisoHandler(dibujo, 2));
         menu.add(menuItem);
         menuItem = new JMenuItem("Tercer Piso", KeyEvent.VK_R);
         menuItem.addActionListener(new PisoHandler(dibujo, 3));
         menu.add(menuItem);
         menuItem = new JMenuItem("Cuarto Piso", KeyEvent.VK_T);
         menuItem.addActionListener(new PisoHandler(dibujo, 4));
         menu.add(menuItem);
         menuItem = new JMenuItem("Ventana Principal", KeyEvent.VK_P);
         menuItem.addActionListener(new PisoHandler(dibujo, 1));
         menu.add(menuItem);
      }
   }


